import Vue from 'vue'
import Vuex from 'vuex'
import user from './modules/user'
import menu from './modules/menu'
import getters from './getters'
Vue.use(Vuex)
const store = new Vuex.Store({
	modules: {
		user,
		menu
	},
    state: {
		list: [
			{
				icon: "/static/imgs/icon-unselect-menu.png",
				activeIcon: '/static/imgs/icon-selected-menu.png',
				customIcon: false,
				pagePath: "/pages/menu/menu",
				text: '菜单'
			},
			{
				icon: "/static/imgs/icon-unselect-order.png",
				activeIcon: '/static/imgs/icon-selected-order.png',
				pagePath: "/pages/order/order",
				text: '订单',
				customIcon: false
			},
			{
				icon: "/static/imgs/icon-unselect-mine.png",
				activeIcon: '/static/imgs/icon-selected-mine.png',
				pagePath: "/pages/mine/mine",
				text: '我的'
			}
		],
		
		orderId:''//外部扫码进入的商品id
	},
    mutations: {
		
		// 设置扫码进入的商品id
		setOrderId(state, orderId) {
           state.orderId = orderId;
		}
	},
	getters,
    actions: {}
})
export default store